# Contributing
Thanks for using and improving colornamer! If you'd like to help out, check out [the project's issues list](https://github.com/stitchfix/colornamer/issues) for ideas on what could be improved.  If there's an idea you'd like to propose, or a design change, feel free to file a new issue or send a pull request:

1. [Fork][fork] the repo.
1. [Create a topic branch.][branch]
1. Write tests.
1. Implement your feature or fix bug.
1. Add, commit, and push your changes.
1. [Submit a pull request.][pr]

[fork]: https://help.github.com/articles/fork-a-repo/
[branch]: https://help.github.com/articles/creating-and-deleting-branches-within-your-repository/
[pr]: https://help.github.com/articles/using-pull-requests/

To run tests: 

```
pip install pytest
python -m pytest
```
or install and run `tox`.

## General Guidelines

* When in doubt, test it.  If you can't test it, re-think what you are doing.
* Code formatting and internal application architecture should be consistent.

